curl --request GET \
--url https://api.example.com/api/v1/batch-jobs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"failed_items": 123,
"id": "<string>",
"job_type": "EVENT_CSV_IMPORT",
"processed_items": 123,
"status": "PENDING",
"completed_at": "2023-11-07T05:31:56Z",
"input_file_name": "<string>",
"total_items": 123
}
],
"pagination_meta": {
"page": 1,
"per_page": 1,
"total_items": 1,
"total_pages": 1
}
}List batch jobs with optional filtering by type and status.
curl --request GET \
--url https://api.example.com/api/v1/batch-jobs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"failed_items": 123,
"id": "<string>",
"job_type": "EVENT_CSV_IMPORT",
"processed_items": 123,
"status": "PENDING",
"completed_at": "2023-11-07T05:31:56Z",
"input_file_name": "<string>",
"total_items": 123
}
],
"pagination_meta": {
"page": 1,
"per_page": 1,
"total_items": 1,
"total_pages": 1
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
EVENT_CSV_IMPORT, CUSTOMER_CSV_IMPORT, SUBSCRIPTION_CSV_IMPORT, SUBSCRIPTION_PLAN_MIGRATION PENDING, CHUNKING, PROCESSING, COMPLETED, COMPLETED_WITH_ERRORS, FAILED, CANCELLED Page number (0-indexed)
x >= 0Number of items per page
1 <= x <= 100